Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 5523)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 5524)
@@ -111,5 +111,5 @@
 $lang['Linked categories'] = 'Podpięte kategorie';
 $lang['Lock gallery'] = 'Zablokuj galerię';
-$lang['Maintenance'] = 'Maintenance';
+$lang['Maintenance'] = 'Przerwa techniczna';
 $lang['Manage permissions for a category'] = 'Zarządzaj uprawnieniami dla kategorii';
 $lang['Manage permissions for group "%s"'] = 'Zarządzaj uprawnieniami dla grupy "%s"';
@@ -649,3 +649,128 @@
 $lang['Purge search history'] = 'Usuń historię przeszukiwań';
 $lang['Hide'] = 'Ukryj';
+//For 2.1.0
+$lang['Categories descending alphanumerically ordered'] = 'Kategorie sortowane alfanumerycznie malejąco';
+$lang['Categories sorted in descending order ⇑'] = 'Kategorie sortowane malejąco ⇑';
+$lang['Unable to check for upgrade.'] = 'Nie można sprawdzić aktualizacji.';
+$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = 'Przekroczono czas wykonywania, obróbka musi być kontynuowana [Przewidywany czas: %d sekund].';
+$lang['Processing treatment.'] = 'Przetwarzanie obróbki.';
+$lang['Please wait...'] = 'Proszę czekać...';
+$lang['Password is missing. Please enter the password.'] = 'Brak hasła. Prosżę wprowadzić hasło.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Brak potwierdzenia hasła. Proszę potwierdzić wybrane hasło.';
+$lang['Password confirmation error.'] = 'Błąd potwierdzenia hasła.';
+$lang['Allow users to edit theirs owns comments'] = 'Zezwól użytkownikom edytować swoje komentarze';
+$lang['Allow users to delete theirs owns comments'] = 'Zezwól użytkownikom usuwać swoje komentarze';
+$lang['Email administrators when a comment is modified'] = 'Wyślij email do administratorów gdy komentarz był modyfikowany';
+$lang['Email administrators when a comment is deleted'] = 'Wyślij email do administratorów gdy komentarz został usunięty';
+$lang['Cannot delete the old permalink !'] = 'Stary link permanentny nie może być usunięty!';
+$lang['Hit'] = 'Wejść';
+$lang['Tools'] = 'Narzędzia';
+$lang['Photos'] = 'Zdjęcia';
+$lang['Themes'] = 'Tematy';
+$lang['Instructions to use Piwigo'] = 'Instrukcje używania Piwigo';
+$lang['Order alphanumerically'] = 'Sortowanie alfanumeryczne';
+$lang['Order alphanumerically reverse'] = 'Odwrócone sortowanie alfanumeryczne';
+$lang['Installed Themes'] = 'Zainstalowane Tematy';
+$lang['Add New Theme'] = 'Dodaj nowy temat';
+$lang['Forbid this theme to users'] = 'Zabroć używania tego tematu przez użytkowników';
+$lang['Set as default theme for unregistered and new users'] = 'Ustaw jako domyślny temat dla niezarejestrowanych użytkowników';
+$lang['unknown'] = 'nieznany';
+$lang['Upload Form'] = 'Formularz Wgrywania';
+$lang['Upload Photos'] = 'Wgrywanie zdjęć';
+$lang['Drop into category'] = 'Wgraj do kategorii';
+$lang['+ Add an upload box'] = '+ Dodaj skrzynki wgrywania';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Tworzy katalog "%s" w głównym katalogu Twojej instalacji Piwio';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dodaj prawa do zapisu (chmod 777) do katalogu "%s" w głównym katalogu Twojej instalacji Piwigo';
+$lang['existing category'] = 'istniejąca kategoria';
+$lang['create a new category'] = 'stwórz nową kategorię';
+$lang['Category name'] = 'Nazwa kategorii';
+$lang['Category "%s" has been added'] = 'Kategoria "%s" została dodana';
+$lang['Uploaded Photos'] = 'Wgrane zdjęcia';
+$lang['%d photos uploaded'] = '%d wgranych zdjęć';
+$lang['Privacy level set to "%s"'] = 'Poziom prywatności ustawiony na "%s"';
+$lang['Category "%s" now contains %d photos'] = 'Kategoria "%s" aktualnie zawiera %d zdjęć';
+$lang['Manage this set of %d photos'] = 'Zarządzaj tym zbiorem %d zdjęć';
+$lang['Select files'] = 'Wybierz pliki';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Pliki JPEG lub archiwa ZIP z plikami JPEG w środku.';
+$lang['Everybody'] = 'Każdy';
+$lang['Who can see these photos?'] = 'Kto może oglądać te zdjęcia?';
+$lang['... or switch to the old style form'] = '... lub prełącz do starego stylu formularza';
+$lang['... or switch to the multiple files form'] = '... lub przełącz do formularza wielu plików';
+$lang['The websize maximum width must be a number between %d and %d'] = 'Maksymalna szerokość dla www musi być liczbą pomiędzy %d i %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'Maksymalna wysokość dla www musi być liczbą pomiędzy %d i %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'Maksymalna jakość obrazu dla www musi być liczbą pomiędzy %d i %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Maksymalna szerokość miniatury musi być liczbą pomiędzy %d i %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Maksymalna wysokość miniatury musi być liczbą pomiędzy %d i %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'Jakość miniatury musi być liczbą pomiędzy %d i %d';
+$lang['Settings'] = 'Ustawienia';
+$lang['Web size photo'] = 'Zdjęcie o rozmiarze www';
+$lang['Resize'] = 'Zmień wymiary';
+$lang['Maximum Width'] = 'Maksymalna szerokość';
+$lang['pixels'] = 'pikseli';
+$lang['Maximum Height'] = 'Maksymalna wysokość';
+$lang['Image Quality'] = 'Jakość obrazu';
+$lang['Save Settings'] = 'Zapisz Ustawienia';
+$lang['Your configuration settings are saved'] = 'Twoje ustawienia konfiguracji zostały zapisane';
+$lang['Active Themes'] = 'Aktywne Tematy';
+$lang['Add write access to the "%s" directory'] = 'Dodaj ustawienia do zapisu do katalogu "%s"';
+$lang['Administration Home'] = 'Administracja';
+$lang['Categories ordered alphanumerically'] = 'Kategorie sortowane alfanumerycznie';
+$lang['Categories ordered alphanumerically reverse'] = 'Kategorie sortowane alfanumerycznie w odwrotnej kolejności';
+$lang['Change Admin Colors'] = 'Zmień kolory administracyjne';
+$lang['Delete this theme'] = 'Usuń ten temat';
+$lang['Directory does not exist'] = 'Katalog nie istnieje';
+$lang['Download,'] = 'Pobierz,';
+$lang['FTP + Synchronization'] = 'FTP + Synchronizacja';
+$lang['Get Support on Piwigo Forum'] = 'Uzyskaj pomoc na forum Piwigo';
+$lang['Help Me'] = 'Pomóż Mi';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ten temat nie może zostać aktywowany, ponieważ brakuje tematu nadrzędnego: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Ten temat nie może zostać usunięty, ponieważ zależą od niego inne tematy: %s';
+$lang['Inactive Themes'] = 'Nieaktywne tematy';
+$lang['Install on your computer,'] = 'Zainstaluj na swoim komputerze,';
+$lang['Make this theme available to users'] = 'Daj dostęp do tematu użytkownikom';
+$lang['Page end'] = 'Koniec strony';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['Read Piwigo Documentation'] = 'Czytaj dokumentację Piwigo';
+$lang['Start pLoader and add your photos.'] = 'Uruchom pLoader i dodaj swoje zdjęcia.';
+$lang['Switch to clear or dark colors for administration'] = 'Przełącz pomiędzy czystym i ciemnym kolorem administracji';
+$lang['Theme has been successfully installed'] = 'Temat został pomyślnie zainstalowany';
+$lang['Upgrade from %s to %s'] = 'Aktualizacja z %s do %s';
+$lang['Visit Gallery'] = 'Odwiedź galerię';
+$lang['Visit Piwigo project website'] = 'Odwiedź stronę projektu Piwigo';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader służy do <em>Piwigo Uploader</em>. pLoader przygotuje zdjęcia i prześle je do Twojej galerii Piwigo, z Twojego komputera.';
+$lang['Guest Settings'] = 'Ustawienia gości';
+$lang['Main Page'] = 'Strona główna';
+$lang['Photo Page'] = 'Strona zdjęć';
+$lang['Activate Navigation Bar'] = 'Aktywuj pasek nawigacji';
+$lang['Activate Navigation Thumbnails'] = 'Aktywuj pasek nawigacji z miniaturami';
+$lang['Activate icon "%s"'] = 'Aktywuj ikonę "%s"';
+$lang['Activate field "%s"'] = 'Aktywuj pole "%s"';
+$lang['Photo Properties'] = 'Właściwości zdjęcia';
+$lang['Allow user customization'] = 'Zezwól na dostosowanie przez użytkowników';
+$lang['Languages'] = 'Języki';
+$lang['Installed Languages'] = 'Zainstalowane języki';
+$lang['Add New Language'] = 'Dodaj nowy język';
+$lang['Language has been successfully installed'] = 'Język został zainstalowany pomyślnie';
+$lang['Select:'] = 'Wybierz:';
+$lang['None'] = 'Brak';
+$lang['Invert'] = 'Odwróć';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nie można zdeaktywować tematy, ponieważ przynajmniej jeden musi być aktywny.';
+$lang['Webmaster status is required.'] = 'Status Webmastera jest wymagany.';
+$lang['Bound Theme'] = 'Przypięty temat';
+$lang['Allow rating'] = 'Zezwól na oceny';
+$lang['Select at least one comment'] = 'Wybierz przynajmniej jeden komentarz';
+$lang['Active Plugins'] = 'Aktywne wtyczki';
+$lang['Inactive Plugins'] = 'Nieaktywne wtyczki';
+$lang['Missing Plugins'] = 'Brakujące wtyczki';
+$lang['Uninstalled Plugins'] = 'Niezainstalowane wtyczki';
+$lang['By %s'] = 'Przez %s';
+$lang['Visit plugin site'] = 'Odwiedź stronę z wtyczkami';
+$lang['Active Languages'] = 'Aktywne języki';
+$lang['Delete this language'] = 'Usuń ten język';
+$lang['Forbid this language to users'] = 'Zabroń używania tego języka użytkownikom';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Nie można zdeaktywować tego języka. Najpierw ustaw inny język jako domyślny.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Nie możnae zdeaktywować tego języka, ponieważ musisz posiadać co najmniej jeden język.';
+$lang['Inactive Languages'] = 'Nieaktywne języki';
+$lang['Make this language available to users'] = 'Daj dostęp do tego języka użytkownikom';
+$lang['Set as default language for unregistered and new users'] = 'Ustaw jako domyślny język dla niezarejestrowanyc oraz nowych użytkowników';
 ?>