Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 5532)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 5533)
@@ -258,5 +258,4 @@
 $lang['maximum width'] = '最大幅';
 $lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = '実行時間が終了しました。処理を継続します [予想時間: %d 秒]。';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = '実行時間が終了しました。処理を継続します  [予想時間: %d 秒].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'メール送信するユーザリストのユーザ数が制限されています。他のユーザは、リストに含まれていません。';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'メール送信時間が制限されています。他のメールはスキップされます。';
@@ -453,5 +452,4 @@
 $lang['user_status_normal'] = 'ユーザ';
 $lang['user_status_webmaster'] = 'ウェブマスタ';
-$lang['username'] = 'ユーザ名';
 $lang['Users'] = 'ユーザ';
 $lang['Virtual category'] = 'バーチャルカテゴリ';
@@ -748,3 +746,31 @@
 $lang['User Upload'] = 'ユーザによるアップロード';
 $lang['Virtual Links'] = 'バーチャルのリンク';
+$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = '実行時間超過、処理は続けなければなりません。 [予定時刻： %d 妙].';
+$lang['Languages'] = '言語';
+$lang['Installed Languages'] = 'インストールされた言語';
+$lang['Add New Language'] = '新しい言語を追加する';
+$lang['Language has been successfully installed'] = '言語のインストールは成功しました';
+$lang['Select:'] = '選択:';
+$lang['None'] = 'なし';
+$lang['Invert'] = '反転';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'このテーマは無効になりません。少なくとも一つのテーマが必要です。';
+$lang['Webmaster status is required.'] = 'ウェッブマスターのステータスが必要';
+$lang['Bound Theme'] = 'バウンドテーマ';
+$lang['Allow rating'] = '評価を許可する';
+$lang['Select at least one comment'] = '少なくとも一つのコメントを選択して下さい';
+$lang['Active Plugins'] = '有効なプラグイン';
+$lang['Inactive Plugins'] = '無効なプラグイン';
+$lang['Missing Plugins'] = '見つからないプラグイン';
+$lang['Uninstalled Plugins'] = 'インストールされてないプラグイン';
+$lang['By %s'] = '著作 %s';
+$lang['Visit plugin site'] = 'プラグインのサイトを訪問する';
+$lang['Active Languages'] = '有効な言語';
+$lang['Delete this language'] = 'この言語を削除する';
+$lang['Forbid this language to users'] = 'この言語をユーザーに禁止する';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'この言語を無効になれません。まず、その他の言語をデフォルトを設定して下さい。';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'この言語を無効になれません。少なくとも一つの言語が必要です。';
+$lang['Inactive Languages'] = '無効な言語';
+$lang['Make this language available to users'] = 'この言語をユーザーに利用できる。';
+$lang['Set as default language for unregistered and new users'] = '登録されてないユーザーと新しいユーザーのためにデフォルト言語を設定する。';
+$lang['download'] = 'ダウンロード';
 ?>
Index: /trunk/language/ja_JP/install.lang.php
===================================================================
--- /trunk/language/ja_JP/install.lang.php	(revision 5532)
+++ /trunk/language/ja_JP/install.lang.php	(revision 5533)
@@ -63,9 +63,4 @@
 $lang['Database type'] = 'データベース種';
 $lang['The type of database your piwigo data will be store in'] = 'あなたのPiwigoデータが保存されているデータベース種';
-$lang['The configuration of Piwigo is finished, here is the next step<br><br>
-* go to the identification page and use the login/password given for webmaster<br>
-* this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories'] = 'Piwigoの設定は完了しました。これは次のステップです。 <br><br>
-*アイデンティフィケーション・ページへ進み、ウェブマスター用のユーザー名とパスワードを使ってください。<br>
-* このログインはアドミニストレーション・パネルや写真をディレクトリーに追加するための説明書にアクセスできるようになります。';
 $lang['PHP 5 is required'] = 'PHP 5は必要';
 $lang['It appears your webhost is currently running PHP %s.'] = 'あなたのウェブホストは現在PHP %sを使っているらしいです。';
@@ -77,3 +72,4 @@
 $lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'あなたのホームページ・プロバイダーのサポートに参照し、自分でPHP 5に変更方法を見られます。';
 $lang['Hope to see you back soon.'] = 'またお越し下さい';
+$lang['Congratulations, Piwigo installation is completed'] = 'おめでとうございました。Piwigo のインストール完了しました。';
 ?>
Index: /trunk/language/ja_JP/upgrade.lang.php
===================================================================
--- /trunk/language/ja_JP/upgrade.lang.php	(revision 5532)
+++ /trunk/language/ja_JP/upgrade.lang.php	(revision 5533)
@@ -35,5 +35,4 @@
 $lang['Upgrade informations'] = '更新情報';
 $lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = '問題がある場合、[管理 > 特別 > メンテナンス] でメンテナンスチェックを実行してください。';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = '事前チェックで以下のプラグインが検出されました。再度有効にする前にプラグインのアップグレードを確認してください:';
 $lang['Only administrator can run upgrade: please sign in below.'] = '管理者のみアップグレードを実行できます: 以下でログインしてください。';
 $lang['You do not have access rights to run upgrade'] = 'あなたには、アップグレードを実行する権限がありません。';
@@ -42,3 +41,4 @@
 $lang['User permissions and group permissions have been erased'] = 'ユーザパーミッションおよびグループパーミッションが削除されました。';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = '以前の設定より、サムネイル接頭辞およびウェブマスターのメールアドレスのみ保存されました。';
+$lang['As a precaution, following plugins have been disabled. You must check for plugins upgrade before reactiving them:'] = '予防措置として、次のプラグインは無効になりました。再有効になる前に、プラグインのアップグレードを確認しなければなりません。:';
 ?>