Index: /extensions/sobre/images/index.php
===================================================================
--- /extensions/sobre/images/index.php	(revision 5543)
+++ /extensions/sobre/images/index.php	(revision 5543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/sobre/index.php
===================================================================
--- /extensions/sobre/index.php	(revision 5543)
+++ /extensions/sobre/index.php	(revision 5543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/sobre/language/en_UK/index.php
===================================================================
--- /extensions/sobre/language/en_UK/index.php	(revision 5543)
+++ /extensions/sobre/language/en_UK/index.php	(revision 5543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/sobre/language/en_UK/theme.lang.php
===================================================================
--- /extensions/sobre/language/en_UK/theme.lang.php	(revision 5543)
+++ /extensions/sobre/language/en_UK/theme.lang.php	(revision 5543)
@@ -0,0 +1,5 @@
+<?php
+
+$lang['Theme: Black & White'] = 'Thème Black & White By <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+
+?>
Index: /extensions/sobre/language/fr_FR/index.php
===================================================================
--- /extensions/sobre/language/fr_FR/index.php	(revision 5543)
+++ /extensions/sobre/language/fr_FR/index.php	(revision 5543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/sobre/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5543)
+++ /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5543)
@@ -0,0 +1,5 @@
+<?php
+
+$lang['Theme: Black & White'] = 'Thème Black & White par <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+
+?>
Index: /extensions/sobre/language/index.php
===================================================================
--- /extensions/sobre/language/index.php	(revision 5543)
+++ /extensions/sobre/language/index.php	(revision 5543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/sobre/mail-css.tpl
===================================================================
--- /extensions/sobre/mail-css.tpl	(revision 5543)
+++ /extensions/sobre/mail-css.tpl	(revision 5543)
@@ -0,0 +1,12 @@
+/* Theme dark mail css */
+
+body {ldelim} background-color:#444; color:#fff;}
+#the_page {ldelim} background: #444 url({$ROOT_URL}themes/default/images/mail/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}themes/default/images/mail/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}themes/default/images/mail/footer-bg.png) no-repeat scroll left bottom;
+color: #69c;}
+h2 {ldelim} background-color: #333;color:#fff48e;background-image: url({$ROOT_URL}themes/{$themeconf.theme}/images/tableh1_bg.png);}
+img {ldelim} margin: 16px; border: 16px solid #111; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#444;-moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #fff48e; background: transparent;border-bottom:1px dotted #005e89; }
+a:hover {ldelim} color: #fff48e;}
Index: /extensions/sobre/theme.css
===================================================================
--- /extensions/sobre/theme.css	(revision 5543)
+++ /extensions/sobre/theme.css	(revision 5543)
@@ -0,0 +1,76 @@
+
+/* text color */
+BODY, H1, H3,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+	color:#d0d0d0;
+}
+
+H2, #menubar DT {
+	color: #fff48e;
+}
+
+
+/* backgrounds */
+
+BODY, H3, #imageHeaderBar, #imageToolBar A:hover {
+	background-color: #2f2f2f;
+}
+
+#menubar DL, .content, #imageToolBar, .header_notes {
+	background-color: #505050;
+}
+
+H2, #menubar DT {
+	background-image: url(images/tableh1_bg.png);
+}
+
+#imageHeaderBar H2 {
+	background-image: none;
+	background-color: transparent;
+	border: none;
+}
+
+#imageHeaderBar {
+	background-image: url(images/tableh2_bg.png);
+	background-repeat: repeat-x;
+	background-position: center;
+	border-top: 1px solid #000;
+}
+
+/* borders */
+#menubar DL, .content{
+	border: 1px solid #000;
+}
+
+H2, #menubar DT, #imageToolBar {
+	border-bottom: 1px solid #000;
+}
+
+FIELDSET, INPUT, SELECT, TEXTAREA,
+.content DIV.thumbnailCategory {
+	border: 1px solid gray;
+}
+
+.content UL.thumbnails SPAN.wrap2 {
+	border: 1px solid #aaaaaa;	/* thumbnails border color and style */
+	border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */
+}
+
+.content UL.thumbnails SPAN.wrap2:hover,
+.content UL.thumbnailCategories DIV.thumbnailCategory:hover,
+.content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+	background-color: #faebd7;
+	border-color: yellow;	/* thumbnails border color when mouse cursor is over it */
+	color: black;
+}
+
+
+/* links */
+A, INPUT.rateButton {
+	color: #fff;
+	border: none;
+}
+
+A:hover {
+	color: #FFF48E;
+}
Index: /extensions/sobre/themeconf.inc.php
===================================================================
--- /extensions/sobre/themeconf.inc.php	(revision 5543)
+++ /extensions/sobre/themeconf.inc.php	(revision 5543)
@@ -0,0 +1,17 @@
+<?php
+
+/*
+Theme Name: Sobre
+Version: 0.1a
+Description: Black and white theme, based on Yoga/dark.
+Theme URI: 
+Author: Gotcha
+Author URI: http://www.julien-moreau.fr
+*/
+
+$themeconf = array(
+  'name'  => 'sobre',
+  'parent' => 'default',
+);
+
+?>