Index: extensions/AMenuManager/amm_install.class.inc.php
===================================================================
--- extensions/AMenuManager/amm_install.class.inc.php	(revision 5421)
+++ extensions/AMenuManager/amm_install.class.inc.php	(revision 5545)
@@ -16,10 +16,10 @@
   include_once('amm_version.inc.php');
   include_once('amm_root.class.inc.php');
-  include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/tables.class.inc.php');
+  include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCTables.class.inc.php');
 
 
   class AMM_install extends AMM_root
   {
-    private $tablef;
+    private $tablesManager;
     private $exportfile;
 
@@ -27,6 +27,6 @@
     {
       parent::__construct($prefixeTable, $filelocation);
-      $this->tablef= new manage_tables($this->tables);
-      $this->exportfile=dirname($this->filelocation).'/'.$this->plugin_name_files.'.sql';
+      $this->tablesManager= new GPCTables($this->tables);
+      $this->exportfile=dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles().'.sql';
     }
 
@@ -37,8 +37,8 @@
     public function install()
     {
-      $this->init_config();
-      $this->load_config();
-      $this->my_config['installed']=AMM_VERSION2;
-      $this->save_config();
+      $this->initConfig();
+      $this->loadConfig();
+      $this->config['installed']=AMM_VERSION2;
+      $this->saveConfig();
 
       $tables_def=array(
@@ -67,5 +67,5 @@
       //$table_def array
       $tables_def = create_table_add_character_set($tables_def);
-      $result=$this->tablef->create_tables($tables_def);
+      $result=$this->tablesManager->create($tables_def);
       return($result);
     }
@@ -77,7 +77,7 @@
     public function uninstall()
     {
-      $this->tablef->export($this->exportfile);
-      $this->delete_config();
-      $this->tablef->drop_tables();
+      $this->tablesManager->export($this->exportfile);
+      $this->deleteConfig();
+      $this->tablesManager->drop();
     }
 
@@ -86,11 +86,11 @@
       global $template;
 
-      $this->init_config();
-      $this->load_config();
+      $this->initConfig();
+      $this->loadConfig();
 
       $this->udpateTablesDef();
 
-      $this->my_config['installed']=AMM_VERSION2; //update the installed release number
-      $this->save_config();
+      $this->config['installed']=AMM_VERSION2; //update the installed release number
+      $this->saveConfig();
     }
 
@@ -113,23 +113,23 @@
        * This function aim to import the old conf into the new conf property
       */
-      if(isset($this->my_config['amm_sections_modspecials']))
+      if(isset($this->config['amm_sections_modspecials']))
       {
-        foreach($this->my_config['amm_sections_modspecials'] as $key=>$val)
+        foreach($this->config['amm_sections_modspecials'] as $key=>$val)
         {
-          $this->my_config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
+          $this->config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
         }
-        unset($this->my_config['amm_sections_modspecials']);
+        unset($this->config['amm_sections_modspecials']);
       }
 
-      if(isset($this->my_config['amm_sections_modmenu']))
+      if(isset($this->config['amm_sections_modmenu']))
       {
-        foreach($this->my_config['amm_sections_modmenu'] as $key=>$val)
+        foreach($this->config['amm_sections_modmenu'] as $key=>$val)
         {
-          $this->my_config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
+          $this->config['amm_sections_items'][$key]['visibility']=($val=="y")?"guest,generic,normal,admin/":"admin/";
         }
-        unset($this->my_config['amm_sections_modmenu']);
+        unset($this->config['amm_sections_modmenu']);
       }
 
-      if(!array_key_exists('installed', $this->my_config))
+      if(!array_key_exists('installed', $this->config))
       {
         /*
@@ -137,8 +137,8 @@
          * 2.2.0 release
          */
-        $this->my_config['installed']="02.01.06";
+        $this->config['installed']="02.01.06";
       }
 
-      if($this->my_config['installed']<="02.01.06")
+      if($this->config['installed']<="02.01.06")
       {
         /*
@@ -153,7 +153,7 @@
         pwg_query($sql);
 
-        foreach($this->my_config['amm_sections_items'] as $key => $val)
+        foreach($this->config['amm_sections_items'] as $key => $val)
         {
-          $this->my_config['amm_sections_items'][$key]['translation'] = $this->defaultMenus[$key]['translation'];
+          $this->config['amm_sections_items'][$key]['translation'] = $this->defaultMenus[$key]['translation'];
         }
       }