Index: extensions/AStat/astat_aim.class.inc.php
===================================================================
--- extensions/AStat/astat_aim.class.inc.php	(revision 5423)
+++ extensions/AStat/astat_aim.class.inc.php	(revision 5546)
@@ -16,8 +16,8 @@
 if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
 
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/common_plugin.class.inc.php');
-include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/css.class.inc.php');
-
-class AStat_AIM extends common_plugin
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCCss.class.inc.php');
+
+class AStat_AIM extends CommonPlugin
 {
   protected $css = null;
@@ -25,8 +25,8 @@
   function AStat_AIM($prefixeTable, $filelocation)
   {
-    $this->plugin_name="AStat.2";
-    $this->plugin_name_files="astat";
+    $this->setPluginName("AStat.2");
+    $this->setPluginNameFiles("astat");
     parent::__construct($prefixeTable, $filelocation);
-    $this->css = new css(dirname($this->filelocation).'/'.$this->plugin_name_files.".css");
+    $this->css = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles().".css");
   }
 
@@ -34,7 +34,7 @@
     initialize events call for the plugin
   */
-  function init_events()
-  {
-    add_event_handler('get_admin_plugin_menu_links', array(&$this, 'plugin_admin_menu') );
+  function initEvents()
+  {
+    add_event_handler('get_admin_plugin_menu_links', array(&$this, 'pluginAdminMenu') );
   }
 
@@ -43,7 +43,7 @@
     initialization of config properties
   */
-  function init_config()
-  {
-    $this->my_config=array(
+  function initConfig()
+  {
+    $this->config=array(
       'AStat_BarColor_Pages' => '6666ff',
       'AStat_BarColor_Img' => '66ff66',
@@ -69,23 +69,23 @@
 
   /*
-    surchage of common_plugin->save_config function
-  */
-  function load_config()
-  {
-    parent::load_config();
-    if(!$this->css->css_file_exists())
-    {
-      $this->css->make_CSS($this->generate_CSS());
-    }
-  }
-
-  /*
-    surchage of common_plugin->save_config function
-  */
-  function save_config()
-  {
-    if(parent::save_config())
-    {
-      $this->css->make_CSS($this->generate_CSS());
+    surchage of CommonPlugin->saveConfig function
+  */
+  function loadConfig()
+  {
+    parent::loadConfig();
+    if(!$this->css->fileExists())
+    {
+      $this->css->makeCSS($this->generate_CSS());
+    }
+  }
+
+  /*
+    surchage of CommonPlugin->saveConfig function
+  */
+  function saveConfig()
+  {
+    if(parent::saveConfig())
+    {
+      $this->css->makeCSS($this->generate_CSS());
       return(true);
     }
@@ -114,14 +114,14 @@
       padding:0px;
       }
-       .AStatBar1 { background-color:#".$this->my_config['AStat_BarColor_Pages']."; top:5px;  }
-       .AStatBar2 { background-color:#".$this->my_config['AStat_BarColor_Img']."; top:-3px; }
-       .AStatBar3 { background-color:#".$this->my_config['AStat_BarColor_IP']."; top:-3px;}
-       .AStatBar4 { background-color:#".$this->my_config['AStat_BarColor_Cat']."; top:-3px;}
+       .AStatBar1 { background-color:#".$this->config['AStat_BarColor_Pages']."; top:5px;  }
+       .AStatBar2 { background-color:#".$this->config['AStat_BarColor_Img']."; top:-3px; }
+       .AStatBar3 { background-color:#".$this->config['AStat_BarColor_IP']."; top:-3px;}
+       .AStatBar4 { background-color:#".$this->config['AStat_BarColor_Cat']."; top:-3px;}
        .AStatBarX { background-color:transparent; top:-3px; height:1px; }
-       .MiniSquare1 { color:#".$this->my_config['AStat_BarColor_Pages'].";   }
-       .MiniSquare2 { color:#".$this->my_config['AStat_BarColor_Img'].";  }
-       .MiniSquare3 { color:#".$this->my_config['AStat_BarColor_IP']."; }
-       .MiniSquare4 { color:#".$this->my_config['AStat_BarColor_Cat']."; }
-       .StatTableRow:hover { background-color:#".$this->my_config['AStat_MouseOverColor']."; }
+       .MiniSquare1 { color:#".$this->config['AStat_BarColor_Pages'].";   }
+       .MiniSquare2 { color:#".$this->config['AStat_BarColor_Img'].";  }
+       .MiniSquare3 { color:#".$this->config['AStat_BarColor_IP']."; }
+       .MiniSquare4 { color:#".$this->config['AStat_BarColor_Cat']."; }
+       .StatTableRow:hover { background-color:#".$this->config['AStat_MouseOverColor']."; }
        .formtable, .formtable P { text-align:left; display:block; }
        .formtable tr { vertical-align:top; }