Index: extensions/upload_form/language/cs_CZ/description.txt
===================================================================
--- extensions/upload_form/language/cs_CZ/description.txt	(revision 5557)
+++ extensions/upload_form/language/cs_CZ/description.txt	(revision 5557)
@@ -0,0 +1,1 @@
+Uložit najednou více fotografií pomocí webového prohlížeče, automatická změna velikosti
Index: extensions/upload_form/language/cs_CZ/index.php
===================================================================
--- extensions/upload_form/language/cs_CZ/index.php	(revision 5557)
+++ extensions/upload_form/language/cs_CZ/index.php	(revision 5557)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/upload_form/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/upload_form/language/cs_CZ/plugin.lang.php	(revision 5557)
+++ extensions/upload_form/language/cs_CZ/plugin.lang.php	(revision 5557)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Upload Form'] = 'Nahrávací formulář';
+$lang['Upload Photos'] = 'Nahrát fotografie';
+$lang['Drop into category'] = 'Zpět do kategorie';
+$lang['+ Add an upload box'] = '+ Přidat upload box';
+$lang['Upload'] = 'Nahrát';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Vytvořte "%s" adresáře v kořenovém adresáři instalace Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Povolte zápis (chmod 777,644,atd.) do "%s" adresáře v kořenovém adresáři instalace Piwigo';
+$lang['existing category'] = 'stávající kategorie';
+$lang['create a new category'] = 'Založit novou Kategorii';
+$lang['Category name'] = 'Název kategorie';
+$lang['Category "%s" has been added'] = 'Kategorie "%s" přidána';
+$lang['Uploaded Photos'] = 'Nahrát fotky';
+$lang['%d photos uploaded'] = '%d fotek nahráno';
+$lang['Privacy level set to "%s"'] = 'Uroveň soukromí údajú nastaven na "%s"';
+$lang['Category "%s" now contains %d photos'] = 'Kategorie "%s" nyní obsahuje %d fotografií';
+$lang['Manage this set of %d photos'] = 'Spravovat tento soubor %d fotografií';
+$lang['Select files'] = 'Výběr souborů';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG soubory nebo ZIP archivy s JPEG soubory prosím.';