Index: /extensions/autoupdate/language/nl_NL/description.txt
===================================================================
--- /extensions/autoupdate/language/nl_NL/description.txt	(revision 5558)
+++ /extensions/autoupdate/language/nl_NL/description.txt	(revision 5558)
@@ -0,0 +1,1 @@
+Werkt uw galerie automatisch bij naar de nieuwste versie.
Index: /extensions/autoupdate/language/nl_NL/index.php
===================================================================
--- /extensions/autoupdate/language/nl_NL/index.php	(revision 5558)
+++ /extensions/autoupdate/language/nl_NL/index.php	(revision 5558)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/autoupdate/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/autoupdate/language/nl_NL/plugin.lang.php	(revision 5558)
+++ /extensions/autoupdate/language/nl_NL/plugin.lang.php	(revision 5558)
@@ -0,0 +1,25 @@
+<?php
+
+$lang['Click here to upgrade automatically'] = 'Klik hier om automatisch te upgraden naar de nieuwste versie';
+$lang['autoupdate_alert'] = 'weet u zeker dat u Piwigo automatisch wilt upgraden?\nWaarschuwing!!! Handmatig aangepaste bestanden kunnen overschreven worden!';
+$lang['autoupdate_success'] = 'Piwigo is succesvol bijgewerkt naar de nieuwste versie %s';
+$lang['autoupdate_fail'] = 'Er is iets foutgegaan bij het bijwerken van Piwigo naar de nieuwste versie.';
+
+$lang['autoupdate_extract_fail'] = 'Er is iets foutgegaan bij het uitpakken. Controleer de bestandstoegangen van uw Piwigo-installatie.<br><a href="%s">Klik kier om de fout-logging weer te geven</a>.';
+
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kan het upgrade-bestand niet van de server verkrijgen';
+$lang['Click here to see Piwigo %s release notes'] = 'Klik hier om de Piwigo %s release-aantekeningen te bekijken';
+$lang['Some upgrades are available for you plugins'] = 'Er zijn upgrades beschikbaar voor sommige van uw plugins';
+$lang['Click here see upgrade plugins page'] = 'Klik hier om naar de upgrade-plugins-pagina te gaan';
+$lang['Gallery and plugins are up to date'] = 'Galerie en plugins zijn up to date';
+$lang['Unable to check upgrades...'] = 'Niet mogelijk om upgrades te controleren...';
+$lang['Piwigo will automaticaly try again later.'] = 'Piwigo zal het automatisch later nog eens proberen.';
+$lang['Click here to check upgrades now'] = 'Klik hier om nu naar upgrades te zoeken';
+
+$lang['Notify on admin homepage'] = 'Geef een melding op de admin-startpagina';
+$lang['Don\'t notify on admin homepage'] = 'Geef geen melding op de admin-startpagina';
+
+$lang['Upgrade in progress... Please wait.'] = 'Bezig met upgrade... Even geduld aub.';
+$lang['Checking upgrades for gallery and plugins...'] = 'Bezig met het zoeken naar upgrades voor galerie en plugins...';
+
+?>