Index: /trunk/admin/include/c13y_internal.class.php
===================================================================
--- /trunk/admin/include/c13y_internal.class.php	(revision 5558)
+++ /trunk/admin/include/c13y_internal.class.php	(revision 5559)
@@ -104,6 +104,6 @@
     $c13y_users[$conf['guest_id']] = array(
       'status' => 'guest',
-      'l10n_non_existent' => 'c13y_guest_non_existent',
-      'l10n_bad_status' => 'c13y_bad_guest_status');
+      'l10n_non_existent' => 'Main "guest" user does not exist',
+      'l10n_bad_status' => 'Main "guest" user status is incorrect');
 
     if ($conf['guest_id'] != $conf['default_user_id'])
@@ -111,11 +111,11 @@
       $c13y_users[$conf['default_user_id']] = array(
         'password' => null,
-        'l10n_non_existent' => 'c13y_default_non_existent');
+        'l10n_non_existent' => 'Default user does not exist');
     }
 
     $c13y_users[$conf['webmaster_id']] = array(
       'status' => 'webmaster',
-      'l10n_non_existent' => 'c13y_webmaster_non_existent',
-      'l10n_bad_status' => 'c13y_bad_webmaster_status');
+      'l10n_non_existent' => 'Main "webmaster" user does not exist',
+      'l10n_bad_status' => 'Main "webmaster" user status is incorrect');
 
       $query = '
Index: /trunk/admin/include/functions_notification_by_mail.inc.php
===================================================================
--- /trunk/admin/include/functions_notification_by_mail.inc.php	(revision 5558)
+++ /trunk/admin/include/functions_notification_by_mail.inc.php	(revision 5559)
@@ -406,5 +406,5 @@
         set_user_on_env_nbm($nbm_user, true);
 
-        $subject = '['.$conf['gallery_title'].']: '.($is_subscribe ? l10n('Unsubscribe from notification by mail'): l10n('Unsubscribe from notification by mail'));
+        $subject = '['.$conf['gallery_title'].']: '.($is_subscribe ? l10n('Subscribe to notification by mail'): l10n('Unsubscribe from notification by mail'));
 
         // Assign current var for nbm mail
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5558)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5559)
@@ -68,6 +68,4 @@
 $lang['Categories authorized thanks to group associations'] = "Categories authorized thanks to group associations";
 $lang['Categories manual order was saved'] = "Categories manual order has been saved";
-$lang['Categories ascending alphanumerically ordered'] = "Categories ascending alphanumerically ordered";
-$lang['Categories descending alphanumerically ordered'] = "Categories descending alphanumerically ordered";
 $lang['Category elements associated to the following categories: %s'] = "Category elements associated to the following categories: %s";
 $lang['Check for upgrade failed for unknown reasons.'] = "Check for upgrade failed for unknown reasons.";
@@ -100,5 +98,4 @@
 $lang['Form'] = "Form";
 $lang['Gallery URL'] = "Gallery URL";
-$lang['Gallery description'] = "Gallery description";
 $lang['Gallery title'] = "Gallery title";
 $lang['Grant selected groups'] = "Grant selected groups";
@@ -133,6 +130,4 @@
 $lang['Operating system'] = "Operating system";
 $lang['Options'] = "Options";
-$lang['Categories sorted in ascending order &dArr;'] = "Categories sorted in ascending order &dArr;";
-$lang['Categories sorted in descending order &uArr;'] = "Categories sorted in descending order &uArr;";
 $lang['Other private categories'] = "Other private categories";
 $lang['Page banner'] = "Page banner";
@@ -178,5 +173,4 @@
 $lang['Tag selection'] = "Tags selection";
 $lang['Take selected elements out of caddie'] = "Take selected elements out of the caddie";
-$lang['The following tag were deleted'] = "The following tag has been deleted";
 $lang['The %d following tags were deleted'] = "The following %d tags have been deleted";
 $lang['Unable to check for upgrade.'] = "Unable to check for upgrade.";
@@ -239,5 +233,4 @@
 $lang['first element added on %s'] = "first element added on %s";
 $lang['Forbidden'] = "Forbidden";
-$lang['General'] = "General";
 $lang['global mode'] = "global mode";
 $lang['group "%s" added'] = "group \"%s\" added";
@@ -248,5 +241,4 @@
 $lang['This name is already used by another group.'] = "This name is already used by another group.";
 $lang['Groups'] = "Groups";
-$lang['Instructions'] = "Instructions";
 $lang[''] = "";
 $lang['High definition'] = "High definition";
@@ -343,5 +335,4 @@
 $lang['randomly represented'] = "random representative";
 $lang['registration date'] = "registration date";
-$lang['Remote site'] = "Remote site";
 $lang['clean'] = "clean up";
 $lang['remove remote listing.xml file'] = "remove remote listing.xml file";
@@ -409,5 +400,4 @@
 $lang['Unlocked'] = "Unlocked";
 $lang['unset'] = "unset";
-$lang['Move up'] = "Move up";
 $lang['Update categories informations'] = "Update categories information";
 $lang['Update images informations'] = "Update images information";
@@ -564,5 +554,4 @@
 $lang['Available<br>version'] = "Available<br>version";
 $lang['Automatic upgrade'] = "Automatic upgrade";
-$lang['Automatic installation'] = "Automatic installation";
 $lang['Download file'] = "Download file";
 $lang['Plugin list'] = "Plugins list";
@@ -594,9 +583,5 @@
 $lang['ACCESS_4'] = "Access to webmasters";
 $lang['ACCESS_5'] = "No access";
-$lang['Demo'] = "Demo";
-$lang['Piwigo home'] = "Piwigo home";
 $lang['Support'] = "Support";
-$lang['Bugs'] = "Bugs";
-$lang['Extensions'] = "Extensions";
 $lang['Documentation'] = "Documentation";
 $lang['A new version of Piwigo is available.'] = "A new version of Piwigo is available.";
@@ -608,5 +593,4 @@
 $lang['Deleted on'] = "Deleted on";
 $lang['Last hit'] = "Last hit";
-$lang['Hits'] = "Hits";
 $lang['GD library is missing'] = "GD library is missing";
 $lang['Templates'] = "Templates";
@@ -630,5 +614,4 @@
 $lang['ranks'] = "ranks";
 $lang['Drag to re-order'] = "Click-and-drag to re-order";
-$lang['Unable to retrieve server informations since allow_url_fopen is disabled.'] = "Unable to retrieve server information since allow_url_fopen is disabled.";
 $lang['Quick Local Synchronization'] = "Quick Local Synchronization";
 $lang['No photo can be deleted'] = "No photo can be deleted";
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 5558)
+++ /trunk/language/en_UK/common.lang.php	(revision 5559)
@@ -48,5 +48,4 @@
 $lang['%d waiting elements'] = "%d waiting elements";
 $lang['About'] = "About";
-$lang['All tags must match'] = "All tags must match";
 $lang['All tags'] = "All tags";
 $lang['Any tag'] = "Any tag";
@@ -70,5 +69,4 @@
 $lang['Display'] = "Display";
 $lang['Each listed rule must be satisfied.'] = "Each listed criterion must be satisfied.";
-$lang['Email address is missing'] = "Email address is missing";
 $lang['Email address'] = "Email address";
 $lang['Enter your personnal informations'] = "Enter your personnal data";
@@ -322,5 +320,4 @@
 $lang['Author: %s'] = "Author: %s";
 $lang['Comment: %s'] = "Comment: %s";
-$lang['Delete: %s'] = "Delete: %s";
 $lang['Comment by %s'] = "Comment by %s";
 $lang['User: %s'] = "User: %s";
Index: /trunk/language/en_UK/install.lang.php
===================================================================
--- /trunk/language/en_UK/install.lang.php	(revision 5558)
+++ /trunk/language/en_UK/install.lang.php	(revision 5559)
@@ -33,8 +33,6 @@
 $lang['Webmaster login'] = "Webmaster login";
 $lang['It will be shown to the visitors. It is necessary for website administration'] = "It will be shown to the visitors. It is necessary for website administration";
-$lang['Parameters are correct'] = "Parameters are correct";
 $lang['Connection to server succeed, but it was impossible to connect to database'] = "Connection to server successful, but the connection to the database is impossible";
 $lang['Can\'t connect to server'] = "Cannot connect to server";
-$lang['The next step of the installation is now possible'] = "The next step of the installation is now possible";
 $lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Copy the text in pink between hyphens and paste it into the file \"local/config/database.inc.php\". (Warning: database.inc.php must only contain the pink text, without additional line return or space character)";
 $lang['Database type'] = "Database type";
@@ -53,5 +51,4 @@
 $lang['webmaster login can\'t contain characters \' or "'] = "webmaster login can't contain characters ' or \"";
 $lang['please enter your password again'] = "please enter your password again";
-$lang['Installation finished'] = "Installation finished";
 $lang['Webmaster password'] = "Webmaster password";
 $lang['Keep it confidential, it enables you to access administration panel'] = "Keep it confidential, it enables you to access administration panel";
Index: /trunk/language/en_UK/upgrade.lang.php
===================================================================
--- /trunk/language/en_UK/upgrade.lang.php	(revision 5558)
+++ /trunk/language/en_UK/upgrade.lang.php	(revision 5559)
@@ -38,5 +38,4 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Only an administrator can run upgrade: please sign in below.";
 $lang['You do not have access rights to run upgrade'] = "You do not have access rights to run upgrade";
-$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "In <i>%s</i>, before <b>?></b>, insert:";
 $lang['All sub-categories of private categories become private'] = "All sub-categories of private categories become private";
 $lang['User permissions and group permissions have been erased'] = "Users and groups permissions have been erased";
Index: /trunk/themes/default/template/identification.tpl
===================================================================
--- /trunk/themes/default/template/identification.tpl	(revision 5558)
+++ /trunk/themes/default/template/identification.tpl	(revision 5559)
@@ -3,5 +3,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Identification'|@translate}</h2>
Index: /trunk/themes/default/template/nbm.tpl
===================================================================
--- /trunk/themes/default/template/nbm.tpl	(revision 5558)
+++ /trunk/themes/default/template/nbm.tpl	(revision 5559)
@@ -3,5 +3,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Notification'|@translate}</h2>
Index: /trunk/themes/default/template/password.tpl
===================================================================
--- /trunk/themes/default/template/password.tpl	(revision 5558)
+++ /trunk/themes/default/template/password.tpl	(revision 5559)
@@ -3,5 +3,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Password forgotten'|@translate}</h2>
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 5558)
+++ /trunk/themes/default/template/picture.tpl	(revision 5559)
@@ -60,5 +60,5 @@
     {/if}
     {if isset($U_ADMIN) }
-      <a href="{$U_ADMIN}" title="{'edit'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"></a>
+      <a href="{$U_ADMIN}" title="{'Modify information'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"></a>
     {/if}
     {if isset($U_CADDIE) }{*caddie management BEGIN*}
Index: /trunk/tools/convert_language_to_2.1.pl
===================================================================
--- /trunk/tools/convert_language_to_2.1.pl	(revision 5558)
+++ /trunk/tools/convert_language_to_2.1.pl	(revision 5559)
@@ -46,4 +46,7 @@
         'You can\'t upload pictures in this category' => '',
         'display pictures added on' => '',
+        'Email address is missing' => '',
+        'Delete: %s' => '',
+        'All tags must match' => '',
     },
     admin => {
@@ -56,8 +59,32 @@
         'Remote site url must start by http or https and must only contain characters among "/", "a-zA-Z0-9", "-" or "_"' => '',
         'path' => '',
+        'Unable to retrieve server informations since allow_url_fopen is disabled.' => '',
+        'The following tag were deleted' => '',
+        'Remote site' => '',
+        'Piwigo home' => '',
+        'Move up' => '',
+        'Instructions' => '',
+        'Hits' => '',
+        'General' => '',
+        'Gallery description' => '',
+        'Extensions' => '',
+        'Demo' => '',
+        'Categories ascending alphanumerically ordered' => '',
+        'Categories descending alphanumerically ordered' => '',
+        'Categories sorted in ascending order ⇓' => '',
+        'Categories sorted in ascending order &dArr;' => '',
+        'Categories sorted in descending order ⇑' => '',
+        'Categories sorted in descending order &uArr;' => '',
+        'Bugs' => '',
+        'Automatic installation' => '',
     },
     upgrade => {
         'Are you sure?' => '',
+        'In <i>%s</i>, before <b>?></b>, insert:' => '',
     },
+    install => {
+        'Parameters are correct' => '',
+        'Installation finished' => '',
+    }
 );
 
Index: /trunk/tools/missing_keys.pl
===================================================================
--- /trunk/tools/missing_keys.pl	(revision 5558)
+++ /trunk/tools/missing_keys.pl	(revision 5559)
@@ -64,4 +64,12 @@
     'high' => '',
     'Waiting page: %s' => '',
+    'Admin: %s' => '',
+    'Manage this user comment: %s' => '',
+    'Main "guest" user does not exist' => '',
+    'Main "guest" user status is incorrect' => '',
+    'Main "webmaster" user does not exist' => '',
+    'Main "webmaster" user status is incorrect' => '',
+    'Default user does not exist' => '',
+    '(!) This comment requires validation' => '',
 );
 