Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 5560)
+++ /trunk/language/tr_TR/common.lang.php	(revision 5561)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%d Kb'] = '%d Kb';
+$lang['%d Kb'] = '%d Kilobayt';
 $lang['%d category updated'] = '%d Kategori Güncellendi';
 $lang['%d categories updated'] = '%d Kategoriler Güncellendi';
@@ -42,10 +42,9 @@
 $lang['%d new image'] = '%d Yeni Ürün';
 $lang['%d new images'] = '%d Yeni Ürünler';
-$lang['%d new user'] = '%d new user';
-$lang['%d new users'] = '%d new users';
+$lang['%d new user'] = '%d yeni kullanıcı';
+$lang['%d new users'] = '%d yeni kullanıcılar';
 $lang['%d waiting element'] = '%d Bekleyen Element';
 $lang['%d waiting elements'] = '%d Bekleyen Elementler';
 $lang['About'] = 'Hakkimizda';
-$lang['All tags must match'] = 'Tüm etiketler seçilmeli';
 $lang['All tags'] = 'Tüm Etiketler';
 $lang['Any tag'] = 'Herhangi Etiket';
@@ -57,5 +56,5 @@
 $lang['Category'] = 'Kategori';
 $lang['Close this window'] = 'Pencereyi Kapat';
-$lang['Complete RSS feed (images, comments)'] = 'Complete RSS feed (images, comments)';
+$lang['Complete RSS feed (images, comments)'] = ' RSS alanını tamamla  (imajlar, yorumlar)';
 $lang['Confirm Password'] = 'Sifreyi Onayla';
 $lang['Connection settings'] = 'Baglanti Ayarlari';
@@ -66,8 +65,7 @@
 $lang['Creation date'] = 'Olusturulma Tarihi';
 $lang['Current password is wrong'] = 'Yanlis Parola';
-$lang['Dimensions'] = 'Dimensions';
+$lang['Dimensions'] = 'boyutları';
 $lang['Display'] = 'Görünüm';
 $lang['Each listed rule must be satisfied.'] = 'Tüm listeleme kurallari seçilmeli.';
-$lang['Email address is missing. Please specify an email address.'] = 'E-posta adresi eksik';
 $lang['Email address'] = 'E-posta Adresi';
 $lang['Enter your personnal informations'] = 'Kisisel Bilgilerinizi Giriniz';
@@ -91,5 +89,5 @@
 $lang['New password sent by email'] = 'Yeni parolaniz e-postaniza yollandi';
 $lang['No email address'] = 'E-posta adresi yok';
-$lang['No classic user matches this email address'] = 'No classic user matches this email address';
+$lang['No classic user matches this email address'] = 'bu e-posta adresiyle kayıtlı böyle bir kullanıcı yok.';
 $lang['Notification'] = 'Hatirlatma';
 $lang['Number of items'] = 'Ürün adedi';
@@ -145,5 +143,5 @@
 $lang['All'] = 'Hepsi';
 $lang['display each day with pictures, month per month'] = 'Ay AY her günün ürünlerini gösterir';
-$lang['display pictures added on'] = 'Su tarihte listelenen ürünleri gösterir ';
+$lang[''] = 'Su tarihte listelenen ürünleri gösterir ';
 $lang['View'] = 'Görünüm';
 $lang['chronology_monthly_calendar'] = 'Aylik Takvim';
@@ -212,3 +210,158 @@
 $lang['Maximum width of the pictures'] = 'Maximum Resim Genisligi';
 $lang['Maximum width must be a number superior to 50'] = 'Maximum Yükseklik 50';
+$lang['%.2f (rated %d times)'] = '%.2f (şu kadar oylandı: %d )';
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'İmaj gönderimi başarıyla gerçekleşti,  yönetici onayından sonra yayına girecektir';
+$lang['useful when password forgotten'] = 'şifrenizi mi unuttunuz';
+$lang['Quick search'] = 'Hızlı arama';
+$lang['Connected user: %s'] = 'Kullanıcıya bağlanılıyor: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Web Tarayıcı: %s';
+$lang['display all elements in all sub-categories'] = 'Tüm kategorilerdeki ve alt kategorilerdeki içeriği göster';
+$lang['return to normal view mode'] = 'normal görüntü moduna geri dön';
+$lang['display a calendar by posted date'] = 'gönderme gününü takvimde göster';
+$lang['month'] = 'sıra';
+$lang['Most visited'] = 'En çok görüntülenen';
+$lang['display most visited pictures'] = 'en çok görüntülenen imajları göster';
+$lang['The number of images per row must be a not null scalar'] = 'Her sıra için gösterilen imaj sayısı 0 dan farklı bir tam sayı olmalıdır';
+$lang['Number of images per row'] = 'Her sıra için gösterilen imaj sayısı';
+$lang['The number of rows per page must be a not null scalar'] = 'Her sayfa için gösterilen imaj sayısı 0 dan farklı bir tamsayı olmalıdır';
+$lang['Number of rows per page'] = 'Her sayfada gösterilen sıra sayısı';
+$lang['Unknown identifier'] = 'bilinmeyen kimlik';
+$lang['New password'] = 'yeni şifre';
+$lang['Rate this picture'] = 'imaja puan ver';
+$lang['Next'] = 'sonraki';
+$lang['no rate'] = 'puan verilmemiş';
+$lang['Elements posted within the last %d day.'] = 'içerik en son %d gün önce yüklendi.';
+$lang['Elements posted within the last %d days.'] = 'içerikler en son %d gün önce yüklendi.';
+$lang['password updated'] = 'şifre değiştirildi';
+$lang['Recent period must be a positive integer value'] = 'yakın dönem pozitif tam sayı değere sahip olmalıdır';
+$lang['picture'] = 'imaj';
+$lang['Click on the picture to see it in high definition'] = 'yüksek çözünürlükte görmek için imaja tıklayın';
+$lang['Show file metadata'] = 'üstveriyi göster';
+$lang['Powered by'] = 'destekleyen :';
+$lang['Preferences'] = 'özellikler';
+$lang['Previous'] = 'önceki';
+$lang['Random pictures'] = 'rastgele imaj';
+$lang['display a set of random pictures'] = 'rastgele birkaç imaj göster';
+$lang['Recent categories'] = 'son eklenen kategoriler';
+$lang['display recently updated categories'] = 'yakın zamanda eklenen kategorileri göster';
+$lang['Recent period'] = 'yakın dönem';
+$lang['Recent pictures'] = 'son eklenen imajlar';
+$lang['display most recent pictures'] = 'en son eklenen imajları göster';
+$lang['Redirection...'] = 'yeniden yönlendiriliyor...';
+$lang['Please, enter a login'] = 'lütfen kullanıcı adınızı giriniz';
+$lang['login mustn\'t end with a space character'] = 'kullanıcı adı boşluk tuşuyla bitemez';
+$lang['login mustn\'t start with a space character'] = 'kullanıcı adı boşluk tuşu ile başlayamaz';
+$lang['this login is already used'] = 'seçtiğiniz kullanıcı adı kullanılmaktadır';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Posta yandaki gibi olmalıdır  xxx@yyy.eee (örnek : jack@altern.org)';
+$lang['please enter your password again'] = 'lütfen şifrenizi tekrar giriniz';
+$lang['Auto login'] = 'otomatik giriş';
+$lang['remove this tag from the list'] = 'listedeki işaretlemeyi kaldır';
+$lang['representative'] = 'temsilci';
+$lang['Author: %s'] = 'Yayımcı: %s';
+$lang['Comment: %s'] = 'Yorum: %s';
+$lang['Comment by %s'] = 'Yorumlayan %s';
+$lang['User: %s'] = 'Kullanıcı: %s';
+$lang['Email: %s'] = 'E-Posta: %s';
+$lang['Admin: %s'] = 'Yönetici: %s';
+$lang['Registration of %s'] = 'Tescil Eden: %s';
+$lang['Category: %s'] = 'Kategori: %s';
+$lang['Picture name: %s'] = 'İmaj Adı: %s';
+$lang['Creation date: %s'] = 'Yaratma Tarihi: %s';
+$lang['Waiting page: %s'] = 'Beklenen Sayfa: %s';
+$lang['Picture uploaded by %s'] = 'İmajı Gönderen %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Kullanıcı için kötü statü "ziyaretçi", varsayılan statü kullanılıyor. Lütfen webmaster\'a bildirin';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Yönetici, webmaster ve özel kullanıcı bu metodu kullanamaz';
+$lang['a user use already this mail address'] = 'bu e-posta adresi başka bir kullanıcı tarafından kullanılmaktadır.';
+$lang['Category results for'] = 'kategori sonuçları';
+$lang['Tag results for'] = 'işaretleme sonuçları';
+$lang['from %s to %s'] = 'şundan %s buna %s';
+$lang['Play of slideshow'] = 'slayt gösterisini başlat';
+$lang['Pause of slideshow'] = 'slayt gösterisini dondur (Pause)';
+$lang['Repeat the slideshow'] = 'slayt gösterisini tekrar et';
+$lang['Not repeat the slideshow'] = 'slayt gösterisini tekrar etme';
+$lang['Reduce diaporama speed'] = 'slayt gösterisi hızını azalt';
+$lang['Accelerate diaporama speed'] = 'slayt gösterisi hızını yükselt';
+$lang['Submit'] = 'gönder';
+$lang['Yes'] = 'evet';
+$lang['No'] = 'hayır';
+$lang['%d image'] = '%d imaj';
+$lang['%d images'] = '%d imajlar';
+$lang['%d image is also linked to current tags'] = '%d imaj aynı zamanda bu işaretlere sahip';
+$lang['%d images are also linked to current tags'] = '%d imajlar aynı zamanda bu işaretlere sahip';
+$lang['See images linked to this tag only'] = 'sadece bu işarete sahip imajları göster';
+$lang['images posted during the last %d days'] = 'son %d günde gösterilen imajlar';
+$lang['Choose an image'] = 'imaj seçimi';
+$lang['Piwigo Help'] = 'Piwigo yardım';
+$lang['Rank'] = 'kademe';
+$lang['group by letters'] = 'harf grubu';
+$lang['letters'] = 'harfler';
+$lang['show tag cloud'] = 'yapılabilir işaretleri göster';
+$lang['cloud'] = 'yapabildi';
+$lang['Reset to default values'] = 'fabrika ayarlarına dönüş';
+$lang['delete all images from your favorites'] = 'favorilerinizdeki tüm imajları silin';
+$lang['Sent by'] = 'gönderen';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'çerezler engelli yada web tarayıcınız tarafından desteklenmiyor. Giriş yapmak için çerezlere izin verin .';
+$lang['Some info about this picture'] = 'imaj hakkında bilgi';
+$lang['Some more (technical) info about this picture'] = 'imaj hakkında detaylı (teknik) bilgi';
+$lang['edit this comment'] = 'yorumu değiştir';
+$lang['Edit a comment'] = 'yorumu değiştir';
+$lang['Are you sure?'] = 'Emin misiniz?';
+$lang['(!) This comment requires validation'] = '(!) Bu yorum onaylama gerekmektedir.';
+$lang['Welcome'] = 'Hoşgeldiniz';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Piwigo fotoğraf galerisine hoş geldiniz!';
+$lang['... or browse your empty gallery'] = '... yada boş galerinizde gezin';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... yada lütfen bu mesajı deaktive edin, kendi yolumu kendim bulabilirim';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'merhaba %s, Piwigo fotoğraf galeriniz boş!';
+$lang['I want to add photos'] = 'fotoğraf eklemek istiyorum';
+$lang['Manage this user comment: %s'] = 'bu kullanıcının yorumunu yönet: %s';
+$lang['This author modified following comment:'] = 'bu yayımcı gönderdiği yorumu değiştirmiştir:';
+$lang['This author removed the comment with id %d'] = 'bu yayımcı id numarası %d olan yorumu silmiştir';
+$lang['delete this comment'] = 'yorumu sil';
+$lang['validate this comment'] = 'yorumu onayla';
+$lang['return to homepage'] = 'ana sayfaya dönüş';
+$lang['Search for Author'] = 'yayımcı kullanıcı adıyla ara';
+$lang['Search in Categories'] = 'Kategorilerde ara';
+$lang['Search by Date'] = 'tarihe göre ara';
+$lang['Date'] = 'tarih';
+$lang['End-Date'] = 'tarih sonu';
+$lang['Kind of date'] = 'tarih çeşidi';
+$lang['Search for words'] = 'kelimelerde ara';
+$lang['Search for all terms'] = 'tüm terimlerde ara';
+$lang['Search for any terms'] = 'herhangi bir terimde ara';
+$lang['Empty query. No criteria has been entered.'] = 'boş sorgulama. arama kriteri girilmedi.';
+$lang['Search Options'] = 'Detaylı arama';
+$lang['Search results'] = 'Arama sonuçları';
+$lang['Search in subcategories'] = 'Alt kategorilerde ara';
+$lang['Contact'] = 'iletişim';
+$lang['Show number of comments'] = 'yorumların sayısını göster';
+$lang['Show number of hits'] = 'hit sayısını göster';
+$lang['stop the slideshow'] = 'slayt gösterisini durdur';
+$lang['Specials'] = 'Özeleştirmeler';
+$lang['SQL queries in'] = 'SQL Sorgulaması';
+$lang['display only recently posted images'] = 'sadece yakın zamanda gönderilen imajları göster';
+$lang['return to the display of all images'] = 'tüm imajları göster';
+$lang['Interface theme'] = 'Arayüz Temaları';
+$lang['Menu'] = 'Menü';
+$lang['A comment on your site'] = 'sitenize yorum yapıldı';
+$lang['Update your rating'] = 'puanlamayı güncelle';
+$lang['wrong filename'] = 'yanlış dosya adı';
+$lang['the filesize of the picture must not exceed :'] = 'imajın dosya büyüklüğü sınırı aşmaktadır :';
+$lang['the picture must be to the fileformat jpg, gif or png'] = 'imaj dosya formatı jpg, gif or png olmalıdır';
+$lang['the height of the picture must not exceed :'] = 'imajın boy ebadı sınırı aşmaktadır :';
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'isteğe bağlıdır, fakat tavsiye edilen : mutlaka küçük imajı bağlantılandırın';
+$lang['the width of the picture must not exceed :'] = 'imajın en ebadı sınırı aşmaktadır. :';
+$lang['can\'t upload the picture on the server'] = 'imaj sunucuya gönderilememektedir';
+$lang['the username must be given'] = 'kullanıcı adı gerekmektedir';
+$lang['A picture\'s name already used'] = 'bu imaj adı daha önce kullanılmış';
+$lang['You must choose a picture fileformat for the image'] = 'imaj için bir resim dosya formatı seçmelisin';
+$lang['Name of the picture'] = 'imaj adı';
+$lang['Upload a picture'] = 'imaj ekle';
+$lang['today'] = 'bugün';
+$lang['Thumbnails'] = 'Küçük imajlar';
+$lang['searched words : %s'] = 'aranan kelimeler : %s';
+$lang['display a calendar by creation date'] = 'oluşturma tarihini takvimde göster';
+$lang['set as category representative'] = 'varsayılan kategori yap';
+$lang['slideshow'] = 'slayt gösterisi';
+$lang['the beginning'] = 'başlangıç';
 ?>