Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 5526)
+++ trunk/language/nl_NL/admin.lang.php	(revision 5565)
@@ -66,5 +66,4 @@
 $lang['Categories authorized thanks to group associations'] = 'Categorieën geautoriseerd dankzij groepassociaties';
 $lang['Categories manual order was saved'] = 'Categorieën handmatig gesorteerd is opgeslagen';
-$lang['Categories ascending alphanumerically ordered'] = 'Categorieën alphanumeriek gesorteerd';
 $lang['Category elements associated to the following categories: %s'] = 'Categorie afbeeldingen gelinkt aan de volgende categorieën: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Upgradecontrole is door onbekende reden niet (goed) uitgevoerd.';
@@ -97,5 +96,4 @@
 $lang['Form'] = 'Formulier';
 $lang['Gallery URL'] = 'Galerie URL';
-$lang['Gallery description'] = 'Galerie-omschrijving';
 $lang['Gallery title'] = 'Galerie-titel';
 $lang['Grant selected groups'] = 'Toegang geselecteerde groepen';
@@ -124,5 +122,4 @@
 $lang['New parent category'] = 'Nieuwe hoofdcategorie';
 $lang['New tag'] = 'Nieuwe tag';
-$lang['No tag defined. Use Administration>Pictures>Tags'] = 'Geen tag gedefinieerd. Gebruik beheer>afbeeldingen>Tags';
 $lang['Number of comments per page'] = 'Aantal weer te geven commentaren per pagina';
 $lang['Number of rates'] = 'Aantal waarderingen';
@@ -131,5 +128,4 @@
 $lang['Operating system'] = 'Besturingssysteem';
 $lang['Options'] = 'Opties';
-$lang['Categories sorted in ascending order &dArr;'] = 'Sorteer alfanumeriek';
 $lang['Other private categories'] = 'Andere privé categorieën';
 $lang['Page banner'] = 'Pagina banner';
@@ -175,5 +171,4 @@
 $lang['Tag selection'] = 'Tag selectie';
 $lang['Take selected elements out of caddie'] = 'Verwijder de geselecteerde afbeeldingen uit het winkelmandje';
-$lang['The following tag were deleted'] = 'De volgende tag is verwijderd';
 $lang['The %d following tags were deleted'] = 'De %d volgende tags zijn verwijderd';
 $lang['Unable to check for upgrade.'] = 'Het is niet mogelijk om een upgradecontrole uit te voeren.';
@@ -236,5 +231,4 @@
 $lang['first element added on %s'] = 'eerste afbeelding toegevoegd op %s';
 $lang['Forbidden'] = 'Niet toegestaan';
-$lang['General'] = 'Algemeen';
 $lang['global mode'] = 'Compact overzicht';
 $lang['group "%s" added'] = 'groep "%s" toegevoegd';
@@ -245,5 +239,4 @@
 $lang['This name is already used by another group.'] = 'Deze naam is al in gebruik door een andere groep.';
 $lang['Groups'] = 'Groepen';
-$lang['Instructions'] = 'Instructies';
 $lang[''] = '';
 $lang['High definition'] = 'Hoge kwaliteit';
@@ -329,5 +322,4 @@
 $lang['Available only with HTML format'] = 'Alleen beschikbaar in HTML formaat';
 $lang['no write access'] = 'geen schrijftoegang';
-$lang['path'] = 'pad';
 $lang['Permissions'] = 'Rechten';
 $lang['private'] = 'Privé';
@@ -338,5 +330,4 @@
 $lang['randomly represented'] = 'willekeurig gerepresenteerd';
 $lang['registration date'] = 'Registratiedatum';
-$lang['Remote site'] = 'Remote site';
 $lang['clean'] = 'opschonen';
 $lang['remove remote listing.xml file'] = 'verwijder remote listing.xml bestand';
@@ -348,5 +339,4 @@
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'test deze remote site';
-$lang['Remote site url must start by http or https and must only contain characters among "/", "a-zA-Z0-9", "-" or "_"'] = 'Remote site url moet starten met http of https en mag alleen bestaan uit de karakters "/", "a-zA-Z0-9", "-" or "_"';
 $lang['remove tags'] = 'verwijder tags';
 $lang['Repair and optimize database'] = 'Repareer en optimaliseer de database';
@@ -405,5 +395,4 @@
 $lang['Unlocked'] = 'Open categorie';
 $lang['unset'] = 'Niet ingesteld';
-$lang['Move up'] = 'verplaats naar boven';
 $lang['Update categories informations'] = 'Categorie-informatie bijwerken';
 $lang['Update images informations'] = 'Afbeeldings-informatie bijwerken';
@@ -453,5 +442,4 @@
 $lang['user_status_normal'] = 'Gebruiker';
 $lang['user_status_webmaster'] = 'Webbeheerder';
-$lang['username'] = 'gebruikersnaam';
 $lang['Users'] = 'Gebruikers';
 $lang['Virtual category'] = 'Virtuele categorieën';
@@ -561,5 +549,4 @@
 $lang['Available<br>version'] = 'Beschikbare<br>versie';
 $lang['Automatic upgrade'] = 'Automatische upgrade';
-$lang['Automatic installation'] = 'Automatische installatie';
 $lang['Download file'] = 'Download bestand';
 $lang['Plugin list'] = 'Plugin lijst';
@@ -582,9 +569,5 @@
 $lang['Purge compiled templates'] = 'Verwijder samengestelde sjablonen';
 $lang['Caddie is currently empty'] = 'Uw winkelmandje is momenteel leeg';
-$lang['Demo'] = 'Demo';
-$lang['Piwigo home'] = 'Piwigo Home';
 $lang['Support'] = 'Bijstand';
-$lang['Bugs'] = 'Fouten';
-$lang['Extensions'] = 'Extensies';
 $lang['Documentation'] = 'Documentatie';
 $lang['Upload'] = 'Uploads';
@@ -605,5 +588,4 @@
 $lang['Deleted on'] = 'Verwijderd op';
 $lang['Last hit'] =  'Laaste hit';
-$lang['Hits'] = 'Hits';
 $lang['GD library is missing'] = 'GD library bestaat niet';
 $lang['Templates'] = 'Sjablonen';
@@ -622,5 +604,4 @@
 $lang['overrides existing values with empty ones'] = 'overschrijft de bestaande waarden met lege waardes';
 $lang['Drag to re-order'] = 'Sleep om volgorde te veranderen';
-$lang['Unable to retrieve server informations since allow_url_fopen is disabled.'] = 'Kan geen server verkrijgen omdat allow_url_fopen is uitgeschakeld.';
 $lang['Quick Local Synchronization'] = 'Snelle lokale Synchronisatie';
 $lang['No photo can be deleted'] = 'Geen enkele foto kan verwijderd worden';
@@ -633,6 +614,4 @@
 $lang['Number of downloads'] = 'Aantal downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri
-$lang['Categories descending alphanumerically ordered'] = 'Categorieën aflopend alfanumeriek gesorteerd';
-$lang['Categories sorted in descending order &uArr;'] = 'Categorieën aflopend gesorteerd &uArr;';
 $lang['Processing treatment.'] = 'In behandeling.';
 $lang['Please wait...'] = 'Even geduld aub...';
@@ -670,5 +649,4 @@
 $lang['Set as default theme for unregistered and new users'] = 'Standaard thema voor niet geregisteerde and nieuwe gebruikers';
 $lang['unknown'] = 'onbekend';
-$lang['Upload Form'] = 'Upload Formulier';
 $lang['Upload Photos'] = 'Upload Foto\'s';
 $lang['Drop into category'] = 'Toevoegen aan categorie';
@@ -729,5 +707,4 @@
 $lang['Switch to clear or dark colors for administration'] = 'Schakel om naar heldere of donkere kleuren voor de administratie';
 $lang['Theme has been successfully installed'] = 'Thema is succesvol geinstalleerd';
-$lang['Upgrade from %s to %s'] = 'Upgrade van %s naar %s';
 $lang['Visit Gallery'] = 'Bezoek Galerie';
 $lang['Visit Piwigo project website'] = 'Bezoek de website van het Piwigo project';