Index: /trunk/admin/notification_by_mail.php
===================================================================
--- /trunk/admin/notification_by_mail.php	(revision 5572)
+++ /trunk/admin/notification_by_mail.php	(revision 5573)
@@ -82,6 +82,6 @@
       $must_repost = true;
       array_push($page['errors'],
-        l10n_dec('Execution time is out, treatment must be continue [Estmated time: %d second].',
-                 'Execution time is out, treatment must be continue [Estmated time: %d seconds].',
+        l10n_dec('Execution time is out, treatment must be continue [Estimated time: %d second].',
+                 'Execution time is out, treatment must be continue [Estimated time: %d seconds].',
                   $time_refresh));
     }
Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 5572)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'الارتفاع الاقصى';
 $lang['maximum width'] = 'العرض الاقصى';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = ' أستنفذت الوقت المتاح للتنفيذ وهو %d دقيقة';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'أستنفذت الوقت المتاح للتنفيذ وهو %d دقائق';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = ' أستنفذت الوقت المتاح للتنفيذ وهو %d دقيقة';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'أستنفذت الوقت المتاح للتنفيذ وهو %d دقائق';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'الوقت المتاح لامراسلة قائمة المستخدمين محدود ،هناك متخدمين لم يتم اضافتهم في القائمة.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'الوقت للارسال محدود ، تم تجاهل بعض العناوين.';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 5572)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 5573)
@@ -254,6 +254,6 @@
 $lang['maximum height'] = 'maximální výška';
 $lang['maximum width'] = 'maximální šířka';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Vykonávání operace překročilo povolený čas, zvolte jestli chcete pokračovat [očekávaný čas: %d sekund].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Vykonávání překročilo maximální čas, zvolte jestli chcete pokračovat [očekávaný čas: %d sekund].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Vykonávání operace překročilo povolený čas, zvolte jestli chcete pokračovat [očekávaný čas: %d sekund].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Vykonávání překročilo maximální čas, zvolte jestli chcete pokračovat [očekávaný čas: %d sekund].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Nastavený čas pro zobrazení seznamu uživatelů byl překročen. Další uživatelé nebudou zobrazeni.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Nastavený čas pro odeslání zprávy byl překročen. Další zprávy nebudou odeslány.';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 5572)
+++ /trunk/language/de_DE/admin.lang.php	(revision 5573)
@@ -251,5 +251,5 @@
 $lang['maximum height'] = 'maximale Höhe';
 $lang['maximum width'] = 'maximale Breite';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden [Verstrichene Zeit: %d Sekunde].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden [Verstrichene Zeit: %d Sekunde].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Die vorgesehene Zeit zum versenden von E-Mail ist begrenzt. Andere Benutzer werden nicht aufgelistet.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Die Zeit zum E-Mail versenden ist begrenzt. Nicht abgearbeitete Mails werden übersprungen';
@@ -723,5 +723,5 @@
 $lang['Photo Properties'] = 'Fotoeigenschaften';
 $lang['Allow user customization'] = 'Erlaube Anpassungen durch Benutzer';
-$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = 'Zeit für die Ausführung ist abgelaufen, der Prozess muss fortgesetzt werden [Noch benötigte Zeit: %d Sekunden].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Zeit für die Ausführung ist abgelaufen, der Prozess muss fortgesetzt werden [Noch benötigte Zeit: %d Sekunden].';
 $lang['Languages'] = 'Sprachen';
 $lang['Installed Languages'] = 'Installierte Sprachen';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5572)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5573)
@@ -253,6 +253,6 @@
 $lang['maximum height'] = "Maximum height";
 $lang['maximum width'] = "Maximum width";
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = "Execution time is out, treatment must be continue [Estimated time: %d second].";
-$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = "Execution time exceeded, the treatment must continue [Estimated time: %d seconds].";
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = "Execution time is out, treatment must be continue [Estimated time: %d second].";
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = "Execution time exceeded, the treatment must continue [Estimated time: %d seconds].";
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = "The time to prepare the list of users who will be sent mail is limited. Others users are not listed.";
 $lang['Time to send mail is limited. Others mails are skipped.'] = "The time to send mail is limited. Others mails have been skipped.";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5572)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5573)
@@ -253,6 +253,6 @@
 $lang['maximum height'] = "Hauteur maximum";
 $lang['maximum width'] = "Largeur maximum";
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d second].";
-$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d secondes].";
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d second].";
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d secondes].";
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = "Le temps de préparation de la liste des utilisateurs pour l'envoi est limité. Les autres utilisateurs ne sont pas listés.";
 $lang['Time to send mail is limited. Others mails are skipped.'] = "Le temps d'envoi des mails est limité. Les autres envois de mail ont été ignorés.";
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 5572)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'najveća visina';
 $lang['maximum width'] = 'najveća širina';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Vrijeme izvršenja je isteklo, obrada se mora nastaviti [Procijenjeno vrijeme: %d sekunde].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Vrijeme izvršenja je isteklo, obrada se mora nastaviti [Procijenjeno vrijeme: %d sekundi].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Vrijeme izvršenja je isteklo, obrada se mora nastaviti [Procijenjeno vrijeme: %d sekunde].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Vrijeme izvršenja je isteklo, obrada se mora nastaviti [Procijenjeno vrijeme: %d sekundi].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Predviđeno vrijeme za popis korisnika za slanje poruka je ograničeno. Ostali korisnici nisu izlistani.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Vrijeme za slanje poruke je ograničeno. Ostale poruke su preskočene.';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 5572)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'Maximális magasság';
 $lang['maximum width'] = 'Maximális szélesség';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Az átfutási idő lejárt, a műveletet folytatni kell [Idő: %d másodperc].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Az átfutási idő lejárt, a műveletet folytatni kell [Idő: %d másodperc].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Az átfutási idő lejárt, a műveletet folytatni kell [Idő: %d másodperc].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Az átfutási idő lejárt, a műveletet folytatni kell [Idő: %d másodperc].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Die vorgesehene Zeit zum versenden von E-mail ist begrenzt. Andere Felhasználó werden nicht aufgelistet.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Die Zeit zum E-mail versenden ist begrenzt. Nicht abgearbeitete Mails werden übersprungen';
@@ -679,6 +679,7 @@
 $lang['Your configuration settings are saved'] = 'A beállítások mentése sikeres';
 // --------- missing translations ---- from version 2.1.0 RC1
-$lang['Unable to check for upgrade.'] = 'A frissítés sikertelen.';
-$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = 'Időtúllépés esetén a műveletet folytatni kell [Becsült idő: %d másodperc].';
+$lang['Categories sorted in descending order ⇑'] = 'Kategóriák csökkenő sorrendben ⇑';
+$lang['Unable to check for upgrade.'] = 'Unable to check for upgrade.';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Időtúllépés esetén a műveletet folytatni kell [Becsült idő: %d másodperc].';
 $lang['Processing treatment.'] = 'Feldolgozás.';
 $lang['Please wait...'] = 'Kérem várjon...';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 5572)
+++ /trunk/language/it_IT/admin.lang.php	(revision 5573)
@@ -253,6 +253,6 @@
 $lang['maximum height'] = 'Altezza massima';
 $lang['maximum width'] = 'Larghezza massima';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondo].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondi].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondo].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondi].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Il tempo di preparazione della lista degli utenti per l\'invio dell\'email è limitato. Gli altri utenti non sono elencati';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Il tempo per l\'invio dell\'email è limitato. L\'invio delle altre email verra ignorato.';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 5572)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 5573)
@@ -250,5 +250,6 @@
 $lang['maximum height'] = '最大高';
 $lang['maximum width'] = '最大幅';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = '実行時間が終了しました。処理を継続します [予想時間: %d 秒]。';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '実行時間が終了しました。処理を継続します [予想時間: %d 秒]。';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '実行時間が終了しました。処理を継続します  [予想時間: %d 秒].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'メール送信するユーザリストのユーザ数が制限されています。他のユーザは、リストに含まれていません。';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'メール送信時間が制限されています。他のメールはスキップされます。';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 5572)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 5573)
@@ -251,5 +251,5 @@
 $lang['maximum height'] = 'maximale hoogte';
 $lang['maximum width'] = 'maximale breedte';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Executie tijd is om, afhandeling moet verder gaan [Verwachte tijd: %d seconden].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Executie tijd is om, afhandeling moet verder gaan [Verwachte tijd: %d seconden].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Verwachte tijd voor de gebruikerslijst voor een mailing is gelimiteerd. Andere gebruikers staan niet op de lijst.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Tijd om email te sturen is gelimiteerd. Andere emailtjes worden overgeslagen.';
@@ -720,5 +720,5 @@
 $lang['Allow user customization'] = 'Sta gebruikers-aanpassingen toe';
 $lang['Languages'] = 'Talen';
-$lang['Execution time is out, treatment must be continued [Estmated time: %d seconds].'] = 'Uitvoerings-tijd overschreden, de afhandeling moet verder gaan [Geschatte tijd: %d seconden].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Uitvoerings-tijd overschreden, de afhandeling moet verder gaan [Geschatte tijd: %d seconden].';
 $lang['Installed Languages'] = 'Geïnstalleerde talen';
 $lang['Add New Language'] = 'Voeg een nieuwe taal toe';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 5572)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'maksymalna wysokość';
 $lang['maximum width'] = 'maksymalna szerokość';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Czas wysłania wiadomości do listy użytkowników jest ograniczony. Pozostali użytkownicy nie znajdują się na liście.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Czas wysłania wiadomości jest ograniczony. Pozostałe wiadomości zostaną pominięte.';
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 5572)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'altura máxima';
 $lang['maximum width'] = 'largura máxima';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundo].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundos].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundo].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundos].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'O tempo disponível para a criação da lista de usuários para enviar email é limitado. Outros usuários não estão listados.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'O tempo para enviar email é limitado. Outros emails estão desconsiderados.';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 5572)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'altura máxima';
 $lang['maximum width'] = 'largura máxima';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundo].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundos].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundo].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'O tempo de execução acabou, tratamento deve ser contínuo [Tempo estimado: %d segundos].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'O tempo disponível para a criação da lista de usuários para enviar email é limitado. Outros usuários não estão listados.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'O tempo para enviar email é limitado. Outros emails estão desconsiderados.';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 5572)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'максимальная высота';
 $lang['maximum width'] = 'максимальная ширина';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Время выполнения превышено, обработка должна быть продолжена [Рассчетное время: %d сек].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Время выполнения превышено, обработка должна быть продолжена [Рассчетное время: %d сек].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Время выполнения превышено, обработка должна быть продолжена [Рассчетное время: %d сек].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Время выполнения превышено, обработка должна быть продолжена [Рассчетное время: %d сек].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Время подготовки списка пользователей для рассылки ограничено. Остальные пользователи не выведены.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Время для отправки почты ограничено. Другие письма пропущены.';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 5572)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'najveća visina';
 $lang['maximum width'] = 'najveća širina';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Vreme izvršenja je isteklo, obrada se mora nastaviti [Procenjeno vreme: %d sekunde].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Vreme izvršenja je isteklo, obrada se mora nastaviti [Procenjeno vreme: %d sekundi].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Vreme izvršenja je isteklo, obrada se mora nastaviti [Procenjeno vreme: %d sekunde].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Vreme izvršenja je isteklo, obrada se mora nastaviti [Procenjeno vreme: %d sekundi].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Predviđeno vreme za popis korisnika za slanje poruka je ograničeno. Ostali korisnici nisu izlistani.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Vreme za slanje poruke je ograničeno. Ostale poruke su preskočene.';
Index: /trunk/language/templates/admin.lang.php
===================================================================
--- /trunk/language/templates/admin.lang.php	(revision 5572)
+++ /trunk/language/templates/admin.lang.php	(revision 5573)
@@ -257,6 +257,6 @@
 $lang['maximum height'] = 'maximum height';
 $lang['maximum width'] = 'maximum width';
-$lang['nbm_background_treatment_redirect_second'] = 'Execution time is out, treatment must be continue [Estmated time: %d second].';
-$lang['nbm_background_treatment_redirect_seconds'] = 'Execution time is out, treatment must be continue [Estmated time: %d seconds].';
+$lang['nbm_background_treatment_redirect_second'] = 'Execution time is out, treatment must be continue [Estimated time: %d second].';
+$lang['nbm_background_treatment_redirect_seconds'] = 'Execution time is out, treatment must be continue [Estimated time: %d seconds].';
 $lang['nbm_break_timeout_list_user'] = 'Prepared time for list of users to send mail is limited. Others users are not listed.';
 $lang['nbm_break_timeout_send_mail'] = 'Time to send mail is limited. Others mails are skipped.';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 5572)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = 'Chiều cao tối đa';
 $lang['maximum width'] = 'Chiều rộng tối đa';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = 'Thời gian xử lý đã hết, quá trình xử lý cần phải được tiếp tục [Trong khoảng: %d giây].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = 'Thời gian xử lý đã hết, quá trình xử lý cần phải được tiếp tục [Trong khoảng: %d giây].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Thời gian xử lý đã hết, quá trình xử lý cần phải được tiếp tục [Trong khoảng: %d giây].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Thời gian xử lý đã hết, quá trình xử lý cần phải được tiếp tục [Trong khoảng: %d giây].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Thời gian chuẩn bị cho danh sách người dùng cần gởi email là có giới hạn. Các thành viên khác không được liệt kê ra.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Thời gian gởi mail là có giới hạn. Các email khác đã được bỏ qua.';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 5572)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 5573)
@@ -251,6 +251,6 @@
 $lang['maximum height'] = '最高高度';
 $lang['maximum width'] = '最长长度';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d second].'] = '已超过执行时间, 处理还需时间[估计时间: %d 秒].';
-$lang['Execution time is out, treatment must be continue [Estmated time: %d seconds].'] = '已超过执行时间, 处理还需时间[估计时间: %d 秒].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '已超过执行时间, 处理还需时间[估计时间: %d 秒].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '已超过执行时间, 处理还需时间[估计时间: %d 秒].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = '由于发送用户列表的准备时间受限制,其余用户将不被列出.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = '发送邮件时间有限,其余邮件被忽略.';
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 5572)
+++ /trunk/upgrade.php	(revision 5573)
@@ -298,5 +298,5 @@
       {
         array_push($page['infos'],
-		   l10n_args('in <i>%s</i>, before <b>?></b>, insert:', 
+		   l10n_args('In <i>%s</i>, before <b>?></b>, insert:', 
 			     'local/config/database.inc.php') . 
 		   '<p><textarea rows="4" cols="40">' .